%define compdir %(pkg-config --variable=completionsdir bash-completion)
%if "%{compdir}" == ""
%define compdir "/etc/bash_completion.d"
%endif

# disable the unsupported dependency
%bcond_with opt_func

Summary:        OpenCloudOS Stream utility for working with dist-git
Name:           ocspkg
Version:        1.43
Release:        2%{?dist}
License:        GPLv2+
URL:            https://pagure.io/fedpkg
Source0:        https://pagure.io/releases/fedpkg/fedpkg-%{version}.tar.bz2
Patch5000:      debrand_fedpkg_to_ocspkg.patch
Patch5001:      fix_srpm_and_distgit_namespaced.patch

BuildArch:      noarch

BuildRequires:  pkgconfig bash-completion git
BuildRequires:  python3-devel python3-distro python3-pip python3-wheel
BuildRequires:  python3-rpkg >= 1.65 koji
# For testing
BuildRequires:  python3-pytest python3-setuptools python3-freezegun
%if %{with opt_func}
BuildRequires:  python3-fedora
BuildRequires:  python3-bugzilla
BuildRequires:  python3-bodhi-client
%endif

Requires:       koji opencloudos-rpm-config
Requires:       python3-rpkg >= 1.65
Requires:       python3-distro python3-setuptools
Requires:       python3-openidc-client >= 0.6.0
%if %{with opt_func}
Requires:       python3-fedora
Requires:       python3-bugzilla
Requires:       python3-bodhi-client
Recommends:     fedora-packager
%endif


%description
Provides the ocspkg command for working with dist-git

%package        -n ocspkg-stage
Summary:        Fedora utility for working with dist-git
Requires:       %{name} = %{version}-%{release}

%description    -n ocspkg-stage
Provides the ocspkg command for working with dist-git

%prep
%autosetup -p1 -n fedpkg-%{version}

## not use pytest-related dependencies temporarily
sed -i '/pytest-runner/d' setup.py
## remove pytest coverage execution
sed -i '/--cov/d' setup.cfg

%build
%py3_build
%{__python3} doc/ocspkg_man_page.py > ocspkg.1


%install
%py3_install
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -p -m 0644 ocspkg.1 %{buildroot}%{_mandir}/man1


%check
%if %{with opt_func}
%pytest
%endif


%files
%license COPYING
%doc README.md CHANGELOG.rst
%config(noreplace) %{_sysconfdir}/rpkg/ocspkg.conf
%(dirname %{compdir})
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
# zsh completion
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/*/*

%files  stage
%config(noreplace) %{_sysconfdir}/rpkg/ocspkg-stage.conf
%{_bindir}/%{name}-stage


%changelog
* Mon May 20 2024 Wang Guodong <gordonwwang@tencent.com> - 1.43-2
- Fixed dist of srpm from ocsNone.src.rpm to ocs2.src.rpm;
- Turn off distgit_namespaced through ocspkg.conf;

* Thu Nov 23 2023 Wang Guodong <gordonwwang@tencent.com> - 1.43-1
- initial build
